1. DazzaJay's Avatar
    This only happens with the latest update to Google+ for me.
    I am assuming it's a problem with the installer itself, as unlike other issues ive read i am still able to install other apps.

    Cleared the cache, and all that still cant get Google+ to install.
    (But still other apps install/update fine)

    I do not have a custom ROM, nor is it rooted. standard factory Samsung Captivate Glide.

    Think it's a problem with the latest Google+ app? or can i do a workaround of some kind?


    Just had another look at the page on Play Store....
    Looks like it's just the app.
    May have to wait for the next version.

    Danny - June 30, 2012 - HTC Desire S with version Fix
    It says "Package file is invalid" PLEASE FIX!

    Matt - June 30, 2012 - Version
    Invalid Package. Come on, Google...

    Mark - June 30, 2012 - Samsung Galaxy S2 with version are buggy
    "Package file is invalid". What the heck's going on lately, Google? Can't view the full comments in events. Uploading pictures to events don't work either, regardless of party mode. Major bugs. Just remember, I'm rooting for you, Google. Let's fix this...

    Tom92024 - June 30, 2012 - Samsung Galaxy S with version Won't Install
    The 6/30 update won't install. "Invalid package file" error on both my Android devices.
    06-30-2012 08:06 AM